
mgr - Bug #21904

mgr[zabbix] float division by zero (osd['kb'] = 0)

10/24/2017 05:27 PM - Ilja Slepnev

Status: Resolved Start date: 10/24/2017

Priority: Normal Due date:  

Assignee: Kefu Chai % Done: 0%

Category: zabbix module Estimated time: 0.00 hour

Target version:    

Source: Community (user) Reviewed:  

Tags:  Affected Versions: v12.2.1

Backport: luminous ceph-qa-suite:  

Regression: No Pull request ID:  

Severity: 3 - minor   

Description

Issued ceph osd out 0 and zabbix monitoring stopped.

root@host:~# ceph zabbix send

Error EINVAL: Traceback (most recent call last):

  File "/usr/lib/ceph/mgr/zabbix/module.py", line 234, in handle_command

    self.send()

  File "/usr/lib/ceph/mgr/zabbix/module.py", line 206, in send

    data = self.get_data()

  File "/usr/lib/ceph/mgr/zabbix/module.py", line 174, in get_data

    osd_fill.append((float(osd['kb_used']) / float(osd['kb'])) * 100)

ZeroDivisionError: float division by zero

 

Fix is trivial, need to check that osd['kb'] is not zero

Related issues:

Copied to mgr - Backport #22196: luminous: mgr[zabbix] float division by zero... Resolved

History

#1 - 11/01/2017 06:51 PM - John Spray

- Category changed from ceph-mgr to zabbix module

#2 - 11/08/2017 07:57 AM - Kefu Chai

- Status changed from New to Need Review

https://github.com/ceph/ceph/pull/18515/files

#3 - 11/08/2017 08:12 AM - Kefu Chai

- Assignee set to Kefu Chai

https://github.com/ceph/ceph/pull/18809

#4 - 11/08/2017 08:14 AM - Kefu Chai

- Backport set to luminous

#5 - 11/09/2017 02:15 PM - Kefu Chai
https://github.com/ceph/ceph/pull/18515/files
https://github.com/ceph/ceph/pull/18809


- Status changed from Need Review to Pending Backport

#6 - 11/20/2017 11:06 AM - Nathan Cutler

- Copied to Backport #22196: luminous: mgr[zabbix] float division by zero (osd['kb'] = 0) added

#7 - 12/25/2017 05:28 PM - Kefu Chai

- Status changed from Pending Backport to Resolved
